END-OF-LIFE for PHP4 Dec. 2008

PHP 4.4.9 is the last release of the PHP 4. All users are strongly encouraged to upgrade to the latest release, which is PHP 5. The announcement of PHP 4 not being supported any more was made public on December 31, 2007. The last security fix for PHP 4 was released on August 8, 2008. No more updates or patches will be available for PHP 4.

Source: www.php.net

Hi

I did install a fresh virtualmin today on debian etch and noticed that PHP4 was no longer avialable which is great.

How do I remove PHP4 form a previous installed Virtualmin server? Can I simply do a apt-get uninstall php4 and press ‘Recheck config’ or is there a diffrent procedure?

Thanks.

apt-get remove php4 php4-common

Also if you are using php4 and you have to comply with PCI standards your certification will end on Sept. 9th.

You are required to use php5 after this date to continue PCI requirements.